import ajax from '@/utils/request.js';
/**
 * 获取大数据平台新媒体 栏目分析；
 * @return {AxjxPromise}
 */
export function getColunmList(data) {
  return ajax({
    urlType: 'url2',
    url: '/new-media/category',
    method: 'POST',
    data,
  });
}

/**
 * 获取大数据平台新媒体 内容日传播分析；
 * @return {AxjxPromise}
 */
export function getContentDayList(data) {
  return ajax({
    urlType: 'url2',
    url: '/new-media/content/daily',
    method: 'POST',
    data,
  });
}

/**
 * 获取柚媒接口调用信息；
 * @return {AxjxPromise}
 */
export function getYoumeiList(data) {
  return ajax({
    urlType: 'youmei',
    url: '/search-log',
    method: 'POST',
    data,
  });
}

/**
 * 获取柚媒接口调用占比信息；
 * @return {AxjxPromise}
 */
export function getYoumeiProportion(data) {
  return ajax({
    urlType: 'youmei',
    url: '/user-count',
    method: 'POST',
    data,
  });
}

/**
 * 获取稿件
 * @param {object} data
 * @returns
 */
export function getArticleCnt(data) {
  return ajax({
    urlType: 'rankApi',
    url: '/article/statistics',
    method: 'POST',
    data,
  });
}

/**
 * 获取直播栏目
 * @param {object} data
 * @returns
 */
export function getCloudLive(data) {
  return ajax({
    urlType: 'url2',
    url: '/new-media/cloud-live/columns',
    method: 'GET',
    data,
  });
}

/**
 * 获取直播部门
 * @param {object} data
 * @returns
 */
export function getCenter(data) {
  return ajax({
    urlType: 'url2',
    url: '/new-media/idaas/center',
    method: 'GET',
    data,
  });
}

/**
 * 直播列表
 * @param {object} data
 * @returns
 */
export function getCloudLiveList(data) {
  return ajax({
    urlType: 'url2',
    url: '/new-media/cloud-live/lives',
    method: 'POST',
    data,
  });
}

/**
 * 直播收入列表
 * @param {object} data
 * @returns
 */
export function getIncomeist(data) {
  return ajax({
    urlType: 'url2',
    url:
      '/new-media/cloud-live/pay?liveId=' +
      data.liveId +
      '&page=' +
      data.page +
      '&pageSize=' +
      data.size,
    method: 'GET',
  });
}
/**
 * 融合号排行
 * @param {object} data
 * @returns
 */
export function getStatistics(data) {
  return ajax({
    urlType: 'rankApi',
    url: '/ronghe/statistics',
    method: 'POST',
    data,
  });
}
/**
 * 融合号钻取
 * @param {object} data
 * @returns
 */
export function getDrilling(data) {
  return ajax({
    urlType: 'rankApi',
    url: '/ronghe/drilling',
    method: 'POST',
    data,
  });
}
